Bug 756169 - CVE-2011-4110 kernel: keys: NULL pointer deref in the user-defined key type [f-16]
Summary: CVE-2011-4110 kernel: keys: NULL pointer deref in the user-defined key type [...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On: 756160
Blocks: CVE-2011-4110 756168
TreeView+ depends on / blocked
 
Reported: 2011-11-22 21:06 UTC by Josh Boyer
Modified: 2011-11-25 02:32 UTC (History)
9 users (show)

(edit)
Clone Of: 756160
(edit)
Last Closed: 2011-11-25 02:32:06 UTC


Attachments (Terms of Use)

Description Josh Boyer 2011-11-22 21:06:24 UTC
+++ This bug was initially created as a clone of Bug #756160 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=751297

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from jwboyer@redhat.com on 2011-11-22 16:02:42 EST ---

This is in rawhide already as 9f35a33b8d06263a165efe3541d9aa0cdbd70b3b.

F16 has an update to 3.1.2, which contains the above as d18c0efc9b76aad26000bb562037a9b675f1c0ae

F15 has an update to 3.0.10, which contains the above as 31a05f7dd79da9b4889008847e2a851835c14269

F14 seems to lack a fix.

Comment 1 Josh Boyer 2011-11-22 21:10:47 UTC
This is already fixed so putting in MODIFIED until I can edit the update

Comment 2 Fedora Update System 2011-11-23 01:00:45 UTC
kernel-3.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-16237/kernel-3.1.2-1.fc16

Comment 3 Fedora Update System 2011-11-25 02:32:06 UTC
kernel-3.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.